Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Dec 2014 19:41:13 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  Helmut Eller <[email-masked]>
> Date: Tue, 30 Dec 2014 12:03:30 -0500
> 
> > It's a tradeoff. Otherwise, you'd see two new buffers at once, possibly
> > covering both windows (if you have two). And it seems inconsistent with your
> > further complaint that movement visits files automatically (if it shouldn't,
> > it shouldn't start with displaying the buffer at point either).
> 
> I thought the problem that Eli was pointing out is that he requested
> "display_line" and there is only one "display_line", so instead of
> showing 3 entries (each one including "display_line" as a substring) we
> should directly jump to the perfect match.

Indeed, that's what I meant.

It is okay to display other, less perfect, matches as well, but the
exact match should be displayed without asking me to type anything
else.